#ifndef __FIFOS_H_
#define __FIFOS_H_
// FIFOS structs


//VIF0_FIFO
// VIF0_FIFO instances
#define VIF0_FIFO 	((volatile u_long128 *)(0x10004000))



//VIF1_FIFO
typedef struct {
	 u_long128 DATA:128;	// fifo data
} stVIF1_FIFO;
// VIF1_FIFO SET macro
#define LIB_SET_VIF1_FIFO(DATA) \
	(((u_long)(DATA) << 0))
#define VIF1_FIFO_DATA_M	(0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF<<0)

#define VIF1_FIFO_DATA_O	(0)
// VIF1_FIFO instances
#define VIF1_FIFO 	((volatile u_long128 *)(0x10005000))



//GIF_FIFO
typedef struct {
	 u_long128 DATA:128;	// fifo data
} stGIF_FIFO;
// GIF_FIFO SET macro
#define LIB_SET_GIF_FIFO(DATA) \
	(((u_long)(DATA) << 0))
#define GIF_FIFO_DATA_M	(0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF<<0)

#define GIF_FIFO_DATA_O	(0)
// GIF_FIFO instances
#define GIF_FIFO 	((volatile u_long128 *)(0x10006000))



//IPU_OUT_FIFO
typedef struct {
	 u_long128 DATA:128;	// fifo data
} stIPU_OUT_FIFO;
// IPU_OUT_FIFO SET macro
#define LIB_SET_IPU_OUT_FIFO(DATA) \
	(((u_long)(DATA) << 0))
#define IPU_OUT_FIFO_DATA_M	(0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF<<0)

#define IPU_OUT_FIFO_DATA_O	(0)
// IPU_OUT_FIFO instances
#define IPU_OUT_FIFO 	((volatile u_long128 *)(0x10007000))



//IPU_IN_FIFO
typedef struct {
	 u_long128 DATA:128;	// fifo data
} stIPU_IN_FIFO;
// IPU_IN_FIFO SET macro
#define LIB_SET_IPU_IN_FIFO(DATA) \
	(((u_long)(DATA) << 0))
#define IPU_IN_FIFO_DATA_M	(0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF<<0)

#define IPU_IN_FIFO_DATA_O	(0)
// IPU_IN_FIFO instances
#define IPU_IN_FIFO 	((volatile u_long128 *)(0x10007010))


#endif
//
