/***************************************************************
/  Ifcaro3D - Preview                                          /
/                                                              /
/  Creado por Ifcaro <taslokooo@gmail.com>                     /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Contiene codigo de ps2game:                                 /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

struct nodoListaObj {            
   Object3D *info; 
   ODE_object ode;
   int id;
   int solid;
   struct nodoListaObj *sig; 
}; 

typedef struct nodoListaObj NodoListaObj; 
typedef NodoListaObj *PtrNodoObj; 

struct nodoListaLuz {            
   ObjectLight *info; 
   int id;
   struct nodoListaLuz *sig; 
}; 

typedef struct nodoListaLuz NodoListaLuz; 
typedef NodoListaLuz *PtrNodoLuz; 

int count;
int countluz;

float asinf ( float xx );

void asignarluz(PtrNodoLuz aux, Object3D *objeto);
void asignarluz2(PtrNodoLuz luces, PtrNodoObj objetos );
void renderList( PtrNodoObj aux );

//listas
void insObject( PtrNodoObj *sPtr, Tentity *valor );
char borrarObject( PtrNodoObj *sPtr, int id );
int isEmptyObject( PtrNodoObj sPtr );
void borrarpriObject ( PtrNodoObj *sPtr );
void liberarlistaObject ( PtrNodoObj *sPtr );
void liberarlistaRObject ( PtrNodoObj *sPtr );

void insLuz( PtrNodoLuz *sPtr, Tentity *valor );
char borrarLuz( PtrNodoLuz *sPtr, int id );
int isEmptyLuz( PtrNodoLuz sPtr );
void borrarpriLuz ( PtrNodoLuz *sPtr );
void liberarlistaLuz ( PtrNodoLuz *sPtr );
void liberarlistaRLuz ( PtrNodoLuz *sPtr );


