/***************************************************************
/  la lib 0.1 (snapshot 2)                                     /
/  Copyright (C) 2003 - Victor Muoz                           /
/                                                              /
/  header:   libKernel (libKernel.h)                           /
/  author:   djhuevo (Victor Muoz)                            /
/  last mod: 10-10-2003                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

#ifndef _LIBKERNEL_H_
#define _LIBKERNEL_H_

#include <libPs2.h>

// syscalls
void la_RemoveIntcHandler();
void la_DisableIntc();
u_int la_GsGetIMR();
u_int la_GsPutIMR(u_int value);
void la_SetGsCrt(u_char interlace, u_char tv_mode, u_char field);
void la_FlushCache(int a);
void la_SetVSyncFlag(u_int *p0, u_long *p1);

// otros
int	dummyPrintf(const char *format, ...);

//compatibility with ps2lib
#ifndef USE_LA_LIB_WITH_PS2LIB

#define RemoveIntcHandler          la_RemoveIntcHandler
#define DisableIntc                la_DisableIntc
#define GsGetIMR                   la_GsGetIMR
#define GsPutIMR                   la_GsPutIMR
#define SetGsCrt                   la_SetGsCrt
#define FlushCache                 la_FlushCache
#define SetVSyncFlag               la_SetVSyncFlag

#endif

#endif
