#ifndef _LA_LIB_H_
#define _LA_LIB_H_
#define _LA_LIB_VERSION_ 01s2

typedef int                       long128 __attribute__ ((mode (TI)));

typedef unsigned char             u_char;
typedef unsigned short            u_short;
typedef unsigned int              u_int;
typedef unsigned long             u_long;
typedef unsigned int              u_long128 __attribute__ ((mode (TI)));

typedef char                      sbyte;
typedef short                     shword;
typedef int                       sword;
typedef long                      sdword;
typedef int                       sqword __attribute__ ((mode (TI)));

typedef unsigned char             ubyte;
typedef unsigned short            uhword;
typedef unsigned int              uword;
typedef unsigned long             udword;
typedef unsigned int              uqword __attribute__ ((mode (TI)));

//compatibility with ps2lib
#ifndef USE_LA_LIB_WITH_PS2LIB

typedef char                      s8;
typedef short                     s16;
typedef int                       s32;
typedef long                      s64;
typedef int                       s128 __attribute__ ((mode (TI)));

typedef unsigned char             u8;
typedef unsigned short            u16;
typedef unsigned int              u32;
typedef unsigned long             u64;
typedef unsigned int              u128 __attribute__ ((mode (TI)));

#endif

typedef union {
    u_char      u8[16];
    u_short     u16[8];
    u_int       u32[4];
    u_long      u64[2];
    u_long128   u128;
    float       f32[4];
} qUnion;

#ifndef FALSE
#define	FALSE 0
#endif

#ifndef TRUE
#define	TRUE (!FALSE)
#endif

#ifndef NULL
#define	NULL 0
#endif

#define CAST_REGISTER(tipo,destino,origen) *((volatile tipo *)(destino))=*(((volatile tipo *)(&origen)))
#define CAST_MEMBER(tipo,destino,origen) *(((volatile tipo *)(&destino)))=((tipo)(origen))

#define TIMEOUT 0x1000000

//#define LIBOUT printf
#define LIBOUT dummyPrintf

#define SET_DX_CH(reg,mem) \
if(((u_int)mem&0x70000000)==0x70000000) *reg=(((u_int)mem&0x0fffffff)|0x80000000); \
else *reg=((u_int)mem&0x0fffffff);

#define QWORD_SIZE(data) \
sizeof(data)/16

#define ASM_SYNC_L \
__asm__ __volatile__("sync.l");

#endif
