/***************************************************************
/  Ifcaro3D - Preview                                          /
/                                                              /
/  Creado por Ifcaro <taslokooo@gmail.com>                     /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Contiene codigo de ps2game:                                 /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

#include "ode/ode.h"

typedef struct{
  dBodyID body;       // Cuerpo
  dGeomID geom;       // Elemento geometrico
}ODE_object;


void UpdateWorld(float veloc);
void ODE_crearmundo(float x, float y, float z);
void SetWorldGravity(float x, float y, float z);
void ODE_crearsuelo(float posx, float posy, float posz, float x, float y, float z);
void ODE_moversuelo(float posx, float posy, float posz);
ODE_object ODE_creartrimesh(float posx, float posy, float posz, float x, float y, float z, Model3DM *model);
ODE_object ODE_crearcubo(float posx, float posy, float posz, float x, float y, float z);
ODE_object ODE_crearesfera(float posx, float posy, float posz, float radio);
void ODE_actualizarobjeto(Object3D *objeto, ODE_object obj);
void ODE_posicionobjeto(ODE_object obj, float x, float y, float z);
void ODE_moverobjeto(ODE_object obj, float x, float y, float z);

void ODE_rotarobjeto(ODE_object obj, float x, float y, float z);
void ODE_girarobjeto(ODE_object obj, float x, float y, float z);
void nearCallback (void *data, dGeomID o1, dGeomID o2);

#define MAX_CONTACTS 4		// maximum number of contact points per body
   
