/***************************************************************
/  Ifcaro3D - Preview                                          /
/                                                              /
/  Creado por Ifcaro <taslokooo@gmail.com>                     /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Contiene codigo de ps2game:                                 /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

#include "Ifcaro3D.h"

int videoMode = 0;
int videoResX = 0;
int videoResY = 0;


void Graphics(int mode, char *argv){
	findMediaMode(argv);
    setGsPacketsize(128);
	if(mode==GFX_AUTO){
		if(GraphicsIsPal()){
			videoMode = GFX_PAL;
			gfxInitVideo(GFX_PAL);
		}else{
			videoMode = GFX_NTSC;
			gfxInitVideo(GFX_NTSC);
		}
	}else{
		videoMode = mode;
	    gfxInitVideo(mode);
	}
    texturePrepareArray(64, 256);
    gfxSetClearColor(0x00,0x00,0x00);    // background black
    FlushCache(0);

	gfxClear();
	SysInitSFX();
	}    
	
int GraphicsMode()
	{
	return videoMode;
	}    

int GraphicsIsPal()
	{
	return (LIB_CRT_AUTO == LIB_CRT_PAL);
	}    

int GraphicsIsNtsc()
	{
	return (LIB_CRT_AUTO != LIB_CRT_PAL);
	}    

int GraphicsWidth()
	{
	return videoResX;
 	}    

int GraphicsHeight()
	{
	return videoResY;
	}    

/*void graficos_empezar()
	{
	gfxSyncV();
	gfxSwapBuffers();
	gfxClear();
	}*/

void Flip()
	{
	gfxRender();
	gfxSyncV();
	gfxSwapBuffers();
	gfxClear();
	SysTickSFX();
	}    
