#include <stdio.h>
#include <stdlib.h>


typedef struct 
    {
    float r,g,b;
    } RGBValue;
    
RGBValue param[6];



void ParseFile(char *filename);
void SaveFile(char *fileout);

int main(int argc, char *argv[])
    {
  
    ParseFile(argv[1]);
    SaveFile(argv[2]);
    return 0;
    
    }




void ParseFile(char *filename)
    {
    FILE *FileIn;
    char *cadena;
    int i;    
    int indexColor;

    cadena = (char*)malloc(256);

    //	Abrimos el archivo de entrada
    FileIn = fopen(filename, "r");	

    while(1)
        {
        if (fscanf(FileIn,"%s",cadena)==-1) break;

        indexColor = -1;
        
        if (strcmp(cadena,"ambient")==0) indexColor = 0;
        if (strcmp(cadena,"diffuse")==0) indexColor = 1;
        if (strcmp(cadena,"specular")==0) indexColor = 2;
        if (strcmp(cadena,"cspecular")==0) indexColor = 3;
        if (strcmp(cadena,"specularNode")==0) indexColor = 4;
        if (strcmp(cadena,"cspecularNode")==0) indexColor = 5;
        
        if (indexColor == -1)
            printf("Error: ilegal Keyword '%s'\n",cadena);
        else
            {
            fscanf(FileIn,"%f",&param[indexColor].r);
            fscanf(FileIn,"%f",&param[indexColor].g);
            fscanf(FileIn,"%f",&param[indexColor].b);
            }
        }

    fclose(FileIn);
    }
    
    

void SaveFile(char *fileout)
    {
    FILE *File;
    char *header = "LIG1";

    //	Abrimos los archivos
    File = fopen(fileout, "wb");	

    // Escribimos
    fwrite(header, sizeof(char), 4, File );
    fwrite(param, sizeof(RGBValue), 6, File );
    
    // y cerramos
    fclose(File);
    }
